diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/script-loader.php ./wordpress-3.4/wp-includes/script-loader.php
*** ./wordpress-3.3.2/wp-includes/script-loader.php	2012-04-17 18:13:20.000000000 -0500
--- ./wordpress-3.4/wp-includes/script-loader.php	2012-06-08 14:22:11.000000000 -0500
***************
*** 330,367 ****
  			'publicSticky' => __('Public, Sticky'),
  			'password' => __('Password Protected'),
  			'privatelyPublished' => __('Privately Published'),
! 			'published' => __('Published')
  		) );
  
! 		$scripts->add( 'link', "/wp-admin/js/link$suffix.js", array('wp-lists', 'postbox'), '20110524', 1 );
  
! 		$scripts->add( 'comment', "/wp-admin/js/comment$suffix.js", array('jquery'), '20110429' );
  		$scripts->add_data( 'comment', 'group', 1 );
  		$scripts->localize( 'comment', 'commentL10n', array(
  			'submittedOn' => __('Submitted on:')
  		) );
  
! 		$scripts->add( 'admin-gallery', "/wp-admin/js/gallery$suffix.js", array( 'jquery-ui-sortable' ), '20110930' );
  
! 		$scripts->add( 'admin-widgets', "/wp-admin/js/widgets$suffix.js", array( 'jquery-ui-sortable', 'jquery-ui-draggable', 'jquery-ui-droppable' ), '20110925', 1 );
  
! 		$scripts->add( 'theme', "/wp-admin/js/theme$suffix.js", array( 'thickbox' ), '20110118', 1 );
  
! 		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), '20100407', 1 );
  
! 		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), '20111129', 1 );
  		$scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
! 			'notitle' => __('(no title)')
  		) );
  
! 		$scripts->add( 'inline-edit-tax', "/wp-admin/js/inline-edit-tax$suffix.js", array( 'jquery' ), '20110609', 1 );
  		$scripts->localize( 'inline-edit-tax', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.')
  		) );
  
! 		$scripts->add( 'plugin-install', "/wp-admin/js/plugin-install$suffix.js", array( 'jquery', 'thickbox' ), '20110113', 1 );
  		$scripts->localize( 'plugin-install', 'plugininstallL10n', array(
  			'plugin_information' => __('Plugin Information:'),
  			'ays' => __('Are you sure you want to install this plugin?')
--- 357,397 ----
  			'publicSticky' => __('Public, Sticky'),
  			'password' => __('Password Protected'),
  			'privatelyPublished' => __('Privately Published'),
! 			'published' => __('Published'),
! 			'comma' => _x( ',', 'tag delimiter' ),
  		) );
  
! 		$scripts->add( 'link', "/wp-admin/js/link$suffix.js", array('wp-lists', 'postbox'), false, 1 );
  
! 		$scripts->add( 'comment', "/wp-admin/js/comment$suffix.js", array('jquery') );
  		$scripts->add_data( 'comment', 'group', 1 );
  		$scripts->localize( 'comment', 'commentL10n', array(
  			'submittedOn' => __('Submitted on:')
  		) );
  
! 		$scripts->add( 'admin-gallery', "/wp-admin/js/gallery$suffix.js", array( 'jquery-ui-sortable' ) );
  
! 		$scripts->add( 'admin-widgets', "/wp-admin/js/widgets$suffix.js", array( 'jquery-ui-sortable', 'jquery-ui-draggable', 'jquery-ui-droppable' ), false, 1 );
  
! 		$scripts->add( 'theme', "/wp-admin/js/theme$suffix.js", array( 'jquery' ), false, 1 );
  
! 		// @todo: Core no longer uses theme-preview.js. Remove?
! 		$scripts->add( 'theme-preview', "/wp-admin/js/theme-preview$suffix.js", array( 'thickbox', 'jquery' ), false, 1 );
  
! 		$scripts->add( 'inline-edit-post', "/wp-admin/js/inline-edit-post$suffix.js", array( 'jquery', 'suggest' ), false, 1 );
  		$scripts->localize( 'inline-edit-post', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.'),
  			'ntdeltitle' => __('Remove From Bulk Edit'),
! 			'notitle' => __('(no title)'),
! 			'comma' => _x( ',', 'tag delimiter' ),
  		) );
  
! 		$scripts->add( 'inline-edit-tax', "/wp-admin/js/inline-edit-tax$suffix.js", array( 'jquery' ), false, 1 );
  		$scripts->localize( 'inline-edit-tax', 'inlineEditL10n', array(
  			'error' => __('Error while saving the changes.')
  		) );
  
! 		$scripts->add( 'plugin-install', "/wp-admin/js/plugin-install$suffix.js", array( 'jquery', 'thickbox' ), false, 1 );
  		$scripts->localize( 'plugin-install', 'plugininstallL10n', array(
  			'plugin_information' => __('Plugin Information:'),
  			'ays' => __('Are you sure you want to install this plugin?')
***************
*** 369,386 ****
  
  		$scripts->add( 'farbtastic', '/wp-admin/js/farbtastic.js', array('jquery'), '1.2' );
  
! 		$scripts->add( 'dashboard', "/wp-admin/js/dashboard$suffix.js", array( 'jquery', 'admin-comments', 'postbox' ), '20111123', 1 );
  
! 		$scripts->add( 'list-revisions', "/wp-includes/js/wp-list-revisions$suffix.js", null, '20091223' );
  
! 		$scripts->add( 'media', "/wp-admin/js/media$suffix.js", array( 'jquery-ui-draggable' ), '20101022', 1 );
  
! 		$scripts->add( 'image-edit', "/wp-admin/js/image-edit$suffix.js", array('jquery', 'json2', 'imgareaselect'), '20110927', 1 );
  		$scripts->localize( 'image-edit', 'imageEditL10n', array(
  			'error' => __( 'Could not load the preview image. Please reload the page and try again.' )
  		));
  
! 		$scripts->add( 'set-post-thumbnail', "/wp-admin/js/set-post-thumbnail$suffix.js", array( 'jquery' ), '20100518', 1 );
  		$scripts->localize( 'set-post-thumbnail', 'setPostThumbnailL10n', array(
  			'setThumbnail' => __( 'Use as featured image' ),
  			'saving' => __( 'Saving...' ),
--- 399,416 ----
  
  		$scripts->add( 'farbtastic', '/wp-admin/js/farbtastic.js', array('jquery'), '1.2' );
  
! 		$scripts->add( 'dashboard', "/wp-admin/js/dashboard$suffix.js", array( 'jquery', 'admin-comments', 'postbox' ), false, 1 );
  
! 		$scripts->add( 'list-revisions', "/wp-includes/js/wp-list-revisions$suffix.js" );
  
! 		$scripts->add( 'media', "/wp-admin/js/media$suffix.js", array( 'jquery-ui-draggable' ), false, 1 );
  
! 		$scripts->add( 'image-edit', "/wp-admin/js/image-edit$suffix.js", array('jquery', 'json2', 'imgareaselect'), false, 1 );
  		$scripts->localize( 'image-edit', 'imageEditL10n', array(
  			'error' => __( 'Could not load the preview image. Please reload the page and try again.' )
  		));
  
! 		$scripts->add( 'set-post-thumbnail', "/wp-admin/js/set-post-thumbnail$suffix.js", array( 'jquery' ), false, 1 );
  		$scripts->localize( 'set-post-thumbnail', 'setPostThumbnailL10n', array(
  			'setThumbnail' => __( 'Use as featured image' ),
  			'saving' => __( 'Saving...' ),
***************
*** 389,402 ****
  		) );
  
  		// Navigation Menus
! 		$scripts->add( 'nav-menu', "/wp-admin/js/nav-menu$suffix.js", array('jquery-ui-sortable'), '20111115' );
  		$scripts->localize( 'nav-menu', 'navMenuL10n', array(
  			'noResultsFound' => _x('No results found.', 'search results'),
  			'warnDeleteMenu' => __( "You are about to permanently delete this menu. \n 'Cancel' to stop, 'OK' to delete." ),
  			'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
  		) );
  
! 		$scripts->add( 'custom-background', "/wp-admin/js/custom-background$suffix.js", array('farbtastic'), '20110511', 1 );
  	}
  }
  
--- 419,433 ----
  		) );
  
  		// Navigation Menus
! 		$scripts->add( 'nav-menu', "/wp-admin/js/nav-menu$suffix.js", array('jquery-ui-sortable') );
  		$scripts->localize( 'nav-menu', 'navMenuL10n', array(
  			'noResultsFound' => _x('No results found.', 'search results'),
  			'warnDeleteMenu' => __( "You are about to permanently delete this menu. \n 'Cancel' to stop, 'OK' to delete." ),
  			'saveAlert' => __('The changes you made will be lost if you navigate away from this page.')
  		) );
  
! 		$scripts->add( 'custom-background', "/wp-admin/js/custom-background$suffix.js", array('farbtastic'), false, 1 );
! 		$scripts->add( 'media-gallery', "/wp-admin/js/media-gallery$suffix.js", array('jquery'), false, 1 );
  	}
  }
  
***************
*** 416,423 ****
   * @param object $styles
   */
  function wp_default_styles( &$styles ) {
! 	// This checks to see if site_url() returns something and if it does not
! 	// then it assigns $guess_url to wp_guess_url(). Strange format, but it works.
  	if ( ! $guessurl = site_url() )
  		$guessurl = wp_guess_url();
  
--- 447,453 ----
   * @param object $styles
   */
  function wp_default_styles( &$styles ) {
! 
  	if ( ! $guessurl = site_url() )
  		$guessurl = wp_guess_url();
  
***************
*** 429,463 ****
  
  	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '.dev' : '';
  
! 	$rtl_styles = array( 'wp-admin', 'ie', 'media', 'admin-bar', 'wplink' );
  	// Any rtl stylesheets that don't have a .dev version for ltr
  	$no_suffix = array( 'farbtastic' );
  
! 	$styles->add( 'wp-admin', "/wp-admin/css/wp-admin$suffix.css", array(), '20111208' );
  
! 	$styles->add( 'ie', "/wp-admin/css/ie$suffix.css", array(), '20111130' );
  	$styles->add_data( 'ie', 'conditional', 'lte IE 7' );
  
- 	// all colors stylesheets need to have the same query strings (cache manifest compat)
- 	$colors_version = '20111206';
- 
  	// Register "meta" stylesheet for admin colors. All colors-* style sheets should have the same version string.
! 	$styles->add( 'colors', true, array('wp-admin'), $colors_version );
  
  	// do not refer to these directly, the right one is queued by the above "meta" colors handle
! 	$styles->add( 'colors-fresh', "/wp-admin/css/colors-fresh$suffix.css", array('wp-admin'), $colors_version );
! 	$styles->add( 'colors-classic', "/wp-admin/css/colors-classic$suffix.css", array('wp-admin'), $colors_version );
  
! 	$styles->add( 'media', "/wp-admin/css/media$suffix.css", array(), '20111119' );
! 	$styles->add( 'install', "/wp-admin/css/install$suffix.css", array(), '20111117' ); // Readme as well
! 	$styles->add( 'thickbox', '/wp-includes/js/thickbox/thickbox.css', array(), '20111117' );
  	$styles->add( 'farbtastic', '/wp-admin/css/farbtastic.css', array(), '1.3u1' );
  	$styles->add( 'jcrop', '/wp-includes/js/jcrop/jquery.Jcrop.css', array(), '0.9.8' );
! 	$styles->add( 'imgareaselect', '/wp-includes/js/imgareaselect/imgareaselect.css', array(), '0.9.1' );
! 	$styles->add( 'admin-bar', "/wp-includes/css/admin-bar$suffix.css", array(), '20111209' );
! 	$styles->add( 'wp-jquery-ui-dialog', "/wp-includes/css/jquery-ui-dialog$suffix.css", array(), '20111107' );
! 	$styles->add( 'editor-buttons', "/wp-includes/css/editor-buttons$suffix.css", array(), '20111114' );
! 	$styles->add( 'wp-pointer', "/wp-includes/css/wp-pointer$suffix.css", array(), '20111205' );
  
  	foreach ( $rtl_styles as $rtl_style ) {
  		$styles->add_data( $rtl_style, 'rtl', true );
--- 459,491 ----
  
  	$suffix = defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ? '.dev' : '';
  
! 	$rtl_styles = array( 'wp-admin', 'ie', 'media', 'admin-bar', 'wplink', 'customize-controls' );
  	// Any rtl stylesheets that don't have a .dev version for ltr
  	$no_suffix = array( 'farbtastic' );
  
! 	$styles->add( 'wp-admin', "/wp-admin/css/wp-admin$suffix.css" );
  
! 	$styles->add( 'ie', "/wp-admin/css/ie$suffix.css" );
  	$styles->add_data( 'ie', 'conditional', 'lte IE 7' );
  
  	// Register "meta" stylesheet for admin colors. All colors-* style sheets should have the same version string.
! 	$styles->add( 'colors', true, array('wp-admin') );
  
  	// do not refer to these directly, the right one is queued by the above "meta" colors handle
! 	$styles->add( 'colors-fresh', "/wp-admin/css/colors-fresh$suffix.css", array('wp-admin') );
! 	$styles->add( 'colors-classic', "/wp-admin/css/colors-classic$suffix.css", array('wp-admin') );
  
! 	$styles->add( 'media', "/wp-admin/css/media$suffix.css" );
! 	$styles->add( 'install', "/wp-admin/css/install$suffix.css" );
! 	$styles->add( 'thickbox', '/wp-includes/js/thickbox/thickbox.css' );
  	$styles->add( 'farbtastic', '/wp-admin/css/farbtastic.css', array(), '1.3u1' );
  	$styles->add( 'jcrop', '/wp-includes/js/jcrop/jquery.Jcrop.css', array(), '0.9.8' );
! 	$styles->add( 'imgareaselect', '/wp-includes/js/imgareaselect/imgareaselect.css', array(), '0.9.8' );
! 	$styles->add( 'admin-bar', "/wp-includes/css/admin-bar$suffix.css" );
! 	$styles->add( 'wp-jquery-ui-dialog', "/wp-includes/css/jquery-ui-dialog$suffix.css" );
! 	$styles->add( 'editor-buttons', "/wp-includes/css/editor$suffix.css" );
! 	$styles->add( 'wp-pointer', "/wp-includes/css/wp-pointer$suffix.css" );
! 	$styles->add( 'customize-controls', "/wp-admin/css/customize-controls$suffix.css", array( 'wp-admin', 'colors', 'ie' ) );
  
  	foreach ( $rtl_styles as $rtl_style ) {
  		$styles->add_data( $rtl_style, 'rtl', true );
***************
*** 628,635 ****
  			echo "</script>\n";
  		}
  
! 		$ver = md5("$wp_scripts->concat_version");
! 		$src = $wp_scripts->base_url . "/wp-admin/load-scripts.php?c={$zip}&load=" . trim($wp_scripts->concat, ', ') . "&ver=$ver";
  		echo "<script type='text/javascript' src='" . esc_attr($src) . "'></script>\n";
  	}
  
--- 656,662 ----
  			echo "</script>\n";
  		}
  
! 		$src = $wp_scripts->base_url . "/wp-admin/load-scripts.php?c={$zip}&load=" . trim($wp_scripts->concat, ', ') . '&ver=' . $wp_scripts->default_version;
  		echo "<script type='text/javascript' src='" . esc_attr($src) . "'></script>\n";
  	}
  
***************
*** 660,666 ****
  /**
   * Private, for use in *_footer_scripts hooks
   *
!  * @since 3.3
   */
  function _wp_footer_scripts() {
  	print_late_styles();
--- 687,693 ----
  /**
   * Private, for use in *_footer_scripts hooks
   *
!  * @since 3.3.0
   */
  function _wp_footer_scripts() {
  	print_late_styles();
***************
*** 717,723 ****
  /**
   * Prints the styles that were queued too late for the HTML head.
   *
!  * @since 3.3
   */
  function print_late_styles() {
  	global $wp_styles, $concatenate_scripts;
--- 744,750 ----
  /**
   * Prints the styles that were queued too late for the HTML head.
   *
!  * @since 3.3.0
   */
  function print_late_styles() {
  	global $wp_styles, $concatenate_scripts;
***************
*** 747,754 ****
  
  	if ( !empty($wp_styles->concat) ) {
  		$dir = $wp_styles->text_direction;
! 		$ver = md5("$wp_styles->concat_version{$dir}");
! 		$href = $wp_styles->base_url . "/wp-admin/load-styles.php?c={$zip}&dir={$dir}&load=" . trim($wp_styles->concat, ', ') . "&ver=$ver";
  		echo "<link rel='stylesheet' href='" . esc_attr($href) . "' type='text/css' media='all' />\n";
  
  		if ( !empty($wp_styles->print_code) ) {
--- 774,781 ----
  
  	if ( !empty($wp_styles->concat) ) {
  		$dir = $wp_styles->text_direction;
! 		$ver = $wp_styles->default_version;
! 		$href = $wp_styles->base_url . "/wp-admin/load-styles.php?c={$zip}&dir={$dir}&load=" . trim($wp_styles->concat, ', ') . '&ver=' . $ver;
  		echo "<link rel='stylesheet' href='" . esc_attr($href) . "' type='text/css' media='all' />\n";
  
  		if ( !empty($wp_styles->print_code) ) {
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/shortcodes.php ./wordpress-3.4/wp-includes/shortcodes.php
*** ./wordpress-3.3.2/wp-includes/shortcodes.php	2011-10-12 11:50:30.000000000 -0500
--- ./wordpress-3.4/wp-includes/shortcodes.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 235,241 ****
  		return $m[1] . call_user_func( $shortcode_tags[$tag], $attr, $m[5], $tag ) . $m[6];
  	} else {
  		// self-closing tag
! 		return $m[1] . call_user_func( $shortcode_tags[$tag], $attr, NULL,  $tag ) . $m[6];
  	}
  }
  
--- 235,241 ----
  		return $m[1] . call_user_func( $shortcode_tags[$tag], $attr, $m[5], $tag ) . $m[6];
  	} else {
  		// self-closing tag
! 		return $m[1] . call_user_func( $shortcode_tags[$tag], $attr, null,  $tag ) . $m[6];
  	}
  }
  
***************
*** 332,336 ****
  }
  
  add_filter('the_content', 'do_shortcode', 11); // AFTER wpautop()
- 
- ?>
--- 332,334 ----
